# Ergodox

Zu neo und Ergodox gab es schon mehrere
[Diskussionen in der Mailingliste](https://www.mail-archive.com/search?q=ergodox&l=diskussion%40neo-layout.org).

## Probleme

!!! tip "Hinweis"
    Zum Verständnis dieses Abschnitts ist ein Blick auf die [Standardbelegung von Ergodox](https://almightyglod.com/public_stack/ErgoDox_Layout/1/Glod_ErgoDox_Layout_June_2013.png) hilfreich.

Stefan wies auf folgende Probleme hin:

* Es fehlt ein Modifier für die F-Tasten (wie Fn), alle Tasten von F1-F12 finden sich in Ebene1 (nach Neo-Zählweise Ebene2.)
* Am rechten kleinen Finger fehlt eine Spalte (Tastatur ist dort verkürzt).

### Vorschlag von Michael
```
┌─────┬───┬───┬───┬───┬───┬───┐ ┌───┬───┬───┬───┬───┬───┬─────┐
│ esc │ 1 │ 2 │ 3 │ 4 │ 5 │t1^│ │t2`│ 6 │ 7 │ 8 │ 9 │ 0 │ t3´ │
├─────┼───┼───┼───┼───┼───┼───┤ ├───┼───┼───┼───┼───┼───┼─────┤
│ tab │ x │ v │ l │ c │ w │KP │ │ent│ k │ h │ g │ f │ q │  ß  │
├─────┼───┼───┼───┼───┼───┤ent│ │   ├───┼───┼───┼───┼───┼─────┤
│  -  │ u │ i │ a │ e │ o ├───┤ ├───┤ s │ n │ r │ t │ d │  y  │
├─────┼───┼───┼───┼───┼───┤del│ │bsp├───┼───┼───┼───┼───┼─────┤
│super│ ü │ ö │ ä │ p │ z │   │ │   │ b │ m │ , │ . │ j │     │     
│page↑│   │   │   │   │   │   │ │   │   │   │   │   │   │     │   
└─┬───┼───┼───┼───┼───┼───┴───┘ └───┴───┼───┼───┼───┼───┼───┬─┘
  │men│pau│pri│hom│end│                 │ ← │ ↑ │ ↓ │ → │pg↓│
  └───┴───┴───┴───┴───┘                 └───┴───┴───┴───┴───┘
                      ┌───┬───┐ ┌───┬───┐
                      │ctl│fn │ │ins│ctl│
                  ┌───┼───┼───┤ ├───┼───┼───┐
                  │   │   │alt│ │m3 │   │   │
                  │shi│m3 ├───┤ ├───┤spa│shi│
                  │   │   │m4 │ │m4 │   │   │
                  └───┴───┴───┘ └───┴───┴───┘
```

»Folgende Gedanken sind in den Entwurf eingegangen:

Ich programmiere viel, benötige Ebene 3 also ständig. Daher hat mod3 zumindest 
im linken Daumenbereich einen prominenten Platz bekommen (ich denke wenn man 
die Tasten mit dem Daumen bedient ist es auch gar nicht mehr so wichtig sie 
auf beiden Seiten zu haben, daher ist sie rechts dann auf einem Platz gelandet 
der wohl eher etwas schwieriger zu erreichen ist).

Mod4 wollte ich dann doch lieber mit beiden Händen gut erreichbar haben, da 
ich Ziffernfeld und Cursortasten, obwohl beides auf Ebene 4, doch eher als 
zwei getrennte Dinge empfinde (im Gegensatz zu Ebene 3).

Fn wird benötigt für die F-Tasten, für die es auf der ErgoDox keine eigene 
Reihe gibt. Ich hab sie über alt gelegt, sodass man die beiden gleichzeitig 
mit dem Daumen drücken kann für Alt-F4, etc.

Die Cursor-Tasten und Bild hoch/runter habe ich alle zusammen nach rechts 
gelegt, damit man auch mal einhändig problemlos durch einen Text o.ä. 
navigieren kann.

Da ich nicht wusste was ich sonst hätte hinlegen sollen, habe ich in die Mitte 
mal noch die Ziffernblock-Enter-Taste gesetzt, die man manchmal ja auch ganz 
gut gebrauchen kann. (Alternativ könnte man da wohl auch eine der toten Tasten 
hinlegen und den Bindestrich dann wieder nach rechts oben neben die 0 legen).

Die übrigen Tasten links in der unteren Reihe habe ich mangels besserer 
Ideen einfach mal mit den verbliebenen eher nicht so wichtigen Tasten belegt.«

--8<-- "Link defekt.md"

– zitiert aus <http://permalink.gmane.org/gmane.comp.hardware.keyboards.layout.neo/10366>

### Vorschlag von ka’imi

![Image](https://raw.githubusercontent.com/kaimi/tmk_keyboard/neo2/layout.png)

Mehr Infos (englisch) und Download hier: <https://github.com/kaimi/tmk_keyboard> und <https://github.com/kaimi/tmk_keyboard/blob/neo2/keyboard/ergodox/keymap_neo.h>

#### Ziele

* Modifier auf den Daumentasten
* zweimal Super, weil das der Modifier für meinen Window Manager (i3) ist
* maximale Kompatibilität zu Games mit obskuren, nicht änderbaren Belegungen (→ andere Layer)
* F-Tasten auf der ersten Ebene

#### Probleme

* Shift + Ebene 4 (z.B. Shift + Pfeiltasten, Shift + Einfügen)
* Control nur rechts (lässt sich aber leider nicht mit Alt tauschen, sonst wird Ctrl + Shift + Pfeiltasten lustig)
