# Mine

Mine ist ein Layout in der Entwicklungsphase, das mit [ArneBabs](https://www.draketo.de/) [Optimierer](https://hg.sr.ht/~arnebab/evolve-keyboard-layout/browse/) optimiert wird. Eine frühere Version dieses Optimierers wurde auch für das Layout [Bone](bone.md) verwendet.

Die Ebenen 3 und 4 sind genauso wie bei Bone und Neo, Ebenen 5 und 6 sind an die Ebene 1 angepasst (also etwa „δ“ über dem „D“).
Mine weicht von Bone ab, indem es:

1. Die Position des rechten Mod3, ähnlich dem VOU Layout, um eins nach links rückt. So soll der rechte kleine Finger weniger belastet werden.

2. Keinen rein deutschen Korpus verwendet. Der Korpus besteht zu 60% aus deutschen Texten, zu 30% aus Englischen und zu 10% aus einer bunten Mischungen allerlei europäischer Sprachen.

Dabei wurden bei Mine die Finger nach den folgenden Kriterien gewichtet:
Klein: 1, Ring: 1.6, Mittel: 2, Zeige: 2, Daumen: 2

Download und Installation sind momentan noch nicht verfügbar, da die Belegung noch sehr experimentell ist und sich daher vermutlich noch ändern wird. Die neuesten Treiber und Neuigkeiten können in der freundlichen [Community](../Beitragen/Community.md) gefunden werden.

## Die einzelnen Ebenen im Überblick

=== "Ebene 1"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/mine-1-numpad.path.svg)

=== "Ebene 2"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/mine-2-numpad.path.svg)

=== "Ebene 3"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/mine-3-numpad.path.svg)

=== "Ebene 4"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/mine-4-numpad.path.svg)

=== "Ebene 5"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/mine-5-numpad.path.svg)

=== "Ebene 6"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/mine-6-numpad.path.svg)

