# NeoQwertz

NeoQwertz ist ein Layout, das einem einige der Vorteile von Neo bietet, ohne sich komplett an ein neues Layout gewöhnen zu müssen.
 
NeoQwertz hat wie Neo verschiedene Ebenen, die die mühelose Eingabe von Sonderzeichen, griechischen Buchstaben, mathematischen Symbolen und Diakritika und eine komfortable Navigation erlauben.
Lediglich die Buchstaben wurden so angeordnet, wie sie auch beim deutschen Standardlayout sind, um dem Benutzer die Transition möglichst einfach zu gestalten.

  - Für den Linux-Desktop gibt es auch die Variante `NeoQwerty`, dessen Name für sich selbst spricht.
  - Für Windows und Linux gibt es die Variante mit vertauschtem ß und Bindestrich, womit die horizontalen Striche gemeinsam auf der Neo-Strichtaste (neben der `0`) liegen.

Detaillierte Informationen zu allen Funktionen des Neo-Layouts finden sich im [Benutzerhandbuch](../Lernen/Einfuehrungskapitel.md).

## Die Ebenen

Die ersten beiden Ebenen sind ähnlich wie das deutsche Standardlayout. Die Ebenen 3 und 4 sind wie bei Neo, und die fünfte und sechste Ebene wurden an die ersten beiden angepasst (also etwa „δ“ über dem „D“).

=== "Ebene 1"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo_qwertz-1-numpad.path.svg)

=== "Ebene 2"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo_qwertz-2-numpad.path.svg)

=== "Ebene 3"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo_qwertz-3-numpad.path.svg)

=== "Ebene 4"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo_qwertz-4-numpad.path.svg)

=== "Ebene 5"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo_qwertz-5-numpad.path.svg)

=== "Ebene 6"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo_qwertz-6-numpad.path.svg)
