# Eigene KTouch-Lektionen schreiben

## Kurs und Lektionen schreiben

### Eingebauter Editor
KTouch bringt einen eingebauten Editor mit, um eigene Tippkurse zu erstellen, oder bestehende zu verändern. Dazu über das Menü _Kurs- und Tastaturbelegungseditor_ anklicken, dann _Neu_ und _Kurs_ auswählen. In mehreren Schritten legt man die Tastaturbelegung fest, für die der Kurs gedacht, vergibt einen Titel und eine Beschreibung. Im letzten Schritt ist es möglich, den Kurs auf einem bestehenden aufzubauen oder ganz neu anzufangen.

Der neue Kurs ist damit eingerichtet und kann nun im Editor bearbeitet werden. Der Editor ist selbsterklärend. Beim Titel sollte ein möglichst passender Name gewählt werden, z.B. „Deutsch (Bone)“. Die Beschreibung kann frei vergeben werden.

![Image](images/builtinEditor.png)

Für die einzelnen Lektionen beschreibt der Titel in einer Zeile, was den Anwender erwartet. Beim Feld _Neue Zeichen_ ist zu beachten, dass dieses genau nur die Zeichen enthält, die in dieser Lektion neu hinzukommen. Das sind dann auch die Zeichen, die beim Lernfortschritt auf der Tastatur aufleuchten.

Änderungen werden sofort übernommen und im Benutzerprofil von KTouch gespeichert. Um einen Kurs anderen Anwendern zukommen zu lassen, kann man ihn über den Menüpunkt _Exportieren_ im Editor als XML-Datei abspeichern – und entsprechend auch importieren.

### Texteditor
Die Funktionen des eingebauten Editors sind sehr eingeschränkt. Soll z.B. die Reihenfolge von mehreren Lektionen (engl. lessons) gleichzeitig verändert werden, oder größere Teile von einem bereits bestehenden Kurs in den neuen übernommen werden, so geht dies schneller, wenn man den Kurs mit einem normalen Texteditor bearbeitet.

Die Kurse lassen sich wie erwähnt als XML-Datei exportieren und dann mit jedem beliebigen Texteditor öffnen. Nach erfolgter Bearbeitung kann der Kurs wieder importiert werden, ist dann allerdings zweimal gelistet. Die ältere Version muss also wieder gelöscht werden.

### Tools
Neben der Möglichkeit, Lektionen von Hand einzutippen, gibt es noch Tools, die teilweise ganze Kurse nach einem bestimmten Muster generieren:

 * [SortWords](SortWords.md)

## Veröffentlichung
Ist die Lektion überprüft und ausgiebig getestet worden, so kann sie im Repository unter [tipptrainer/ktouch/courses](https://git.neo-layout.org/neo/neo-layout/src/branch/master/tipptrainer/ktouch/courses) veröffentlicht werden.

### Upload

Für den Upload wird Schreibzugriff auf das Gitea-Repository benötigt. Wenn es sich nur um den gelegentlichen Upload eines neuen Tippkurses handelt, so kann man diesen an die [Mailingliste](../Beitragen/Community.md#mailingliste) schicken.

Alternativ kann man auch jemanden im [IRC](../Beitragen/Community.md#neo-chat) bitten die Lektion hochzuladen.

### Dokumentation
Zum Schluss hat man noch die Möglichkeit seine neuen Lektionen im Bereich [KTouch für Neo einrichten – Tippkurse](KTouchFuerNeoEinrichten.md#tippkurse) in kurzen Sätzen vorzustellen.
