# KTouch für Neo einrichten

KTouch kommt mit einer Reihe von Tastaturbelegungen und Trainingslektionen daher. Auch für Neo2 ist ein vollständiger Kurs mit vielen Lektionen und Texten enthalten und sollte automatisch ausgewählt werden, wenn das Neo-Layout im Betriebssystem eingestellt ist.

## KTouch erweitern

Neben den vorhandenen Kursen können auch eigene erstellt und importiert werden. Dabei ist man nicht auf die vorhandenen Belegungen Qwertz oder Neo beschränkt.

Für Bone oder NeoQwertz sind (noch) keine Kurse vorhanden, wenngleich man für NeoQwertz – mit Abstrichen bei den Sonderzeichen – auch einen der normalen Qwertz-Kurse verwenden kann.

### Tastaturbelegungen
Die Neo-Tastaturbelegung ist in KTouch bereits vorhanden und als „Deutsches Neo 2“ geführt. Andere Belegungen finden sich unter [tipptrainer/ktouch/layouts](https://git.neo-layout.org/neo/neo-layout/src/branch/master/tipptrainer/ktouch/layouts).

Um eine Belegung für Bone oder NeoQwertz einzustellen, muss diese über den Belegungseditor importiert werden. Dieser wird über das Menü oben rechts aufgerufen und öffnet in einem neuen Fenster. Dort klickt man auf _Importieren_ und wählt die entsprechende XML-Datei aus. Anschließend steht die Belegung in KTouch aufgelistet zur Verfügung.

!!! missing "Tastaturbelegungen fehlen"
    Für Bone und NeoQwertz (oder auch andere Layouts) sind noch keine Belegungsdateien zum Importieren vorhanden. Bitte hilf mit, diese zu erstellen und hier zu dokumentieren.

### Tippkurse
Unter [tipptrainer/ktouch/courses](https://git.neo-layout.org/neo/neo-layout/src/branch/master/tipptrainer/ktouch/courses) findet sich im Repository eine Reihe von speziell an Neo (oder andere Belegungen) angepassten Kursen.

!!! missing "Kurse fehlen"
    Für Bone und NeoQwertz (oder auch andere Layouts) sind noch keine Kurse mit Lektionen zum Importieren vorhanden. Bitte hilf mit, diese zu erstellen und hier zu dokumentieren.

| **Kurs** | **Beschreibung** |
| :--- | :--- |
| Deutsches Neo2<br>(integriert) | Dies ist die empfohlene Version für Anfänger. Es werden schrittweise alle Buchstaben und Zeichen von Neo eingeführt. Alle nachfolgenden Dateien dieser Tabelle sind nur zum Testen oder für Fortgeschrittene relevant. |
| Deutsch (Neo2) 10.000 Wörter | __Portierung notwendig!__<br>Alternativ/ergänzend: Eine Lektion zum Erlernen der ersten Ebene. Anstatt nur Buchstabenkombinationen zu tippen, werden die 10.000 häufigsten deutschen Wörter abgefragt. Es werden alle Buchstaben der Reihe nach eingeführt, d. h. in jeder Stufe nur die Wörter abgefragt, deren Buchstaben schon bekannt sind. |
| Deutsch (Bone) | __fehlt__ |
| Deutsch (NeoQwertz) | __fehlt__ |

Um einen Kurs zu installieren, muss dieser über den Kurseditor importiert werden. Dieser wird über das Menü oben rechts aufgerufen und öffnet in einem neuen Fenster. In diesem klickt man auf _Importieren_ und wählt die entsprechende XML-Datei aus, die den Kurs mit allen Lektionen enthält. Anschließend steht er unter der zugehörigen Tastaturbelegung zur Auswahl bereit.


## Eigene Lektionen erstellen
KTouch hat einen eingebauten Editor für benutzerdefinierte Kurse und Tastaturbelegungen. Dieser ermöglicht das Erstellen sowie den Im- und Export. Um eigene Lektionen zu erstellen oder vorhandene zu variieren, siehe Kapitel [Eigene KTouch-Lektionen schreiben](EigeneKTouchLektionenSchreiben.md).
