# Neo lernen

Empfehlenswert ist der Ausdruck des [Tastaturlayouts als Aufsteller](Grafiken.md#Aufsteller).

!!! warning "Zu überarbeiten"
    Diese Seite enthält einige ungelöste Todos. Zudem ist der Stil (Siezen) nicht ganz passend zu den anderen Seiten. Bitte einmal durchschauen und ggf. verändern.

## Einleitung
![Image](images/tastentier__mit_schlips_und_hut.png)

Sie haben Interesse an Neuem?  
An etwas Innovativem?  
Etwas, das Sie in Ihrem Leben weiterbringt?  

Sehr schön!  

Wir werden Ihnen im Folgenden eine neue Tastaturbelegung präsentieren, die den überaus hübschen Namen »Neo« trägt.

## Die wichtigsten Tasten der deutschen Sprache
![Image](images/uiaeo.8.png)
  
![Image](images/uiaeo_klein.png)
sind wohl die Vokale. Deswegen haben wir sie besonders gut positioniert, nämlich direkt unter den Fingern der linken Hand in der Grundhaltung. Die Reihenfolge ist leicht zu merken über den schwäbischen Englischkniff: »Ui, a (n)eo«! oder »Uns ist alles egal, oder?«

!!! todo "Todo"
    Weitere Merksätze aufnehmen?

Xenias Vorgarten liebt chaotisches Wachstum / Kunst hilft gerne fiesen Quallen (ß)  
Uns ist alles egal, oder? / Seine neue Ratte tötete den Yak  
Über öffentliche Ärgernisse plaudern Zauberer / Blöde »machen« Kommas. Jawohl!  
  
![Image](images/snrtd.png)
  
![Image](images/snrtd_klein.png)
Aber wer kennt nicht das berüchtigte »ernstl«, seinerzeit beim Glücksrad gerne verwendet. R,N,S,T,L beschreiben wirklich die häufigsten Buchstaben in der deutschen Sprache. Deswegen werden sie (mit Ausnahme von L wegen Bigramm-Optimierungen unten) auf die Grundposition der rechten Hand gelegt. Statt dem L liegt das D in der Grundreihe, weil es durch die Artikel (die es beim Glücksrad nicht gibt) sehr häufig auftritt.  

Logisch, oder?

## Die wichtigsten Tastenfolgen der deutschen Sprache
müssen schnell zu schreiben sein. Wir gewährleisten das durch folgende Techniken:

  * **Beide Hände wechseln sich ab**. Während die eine Hand ihren Buchstaben eingibt, kann die andere Hand ihren Finger bereits über die nächste Taste positionieren.
  * **Zeichenfolgen mit einer Hand werden durch eine Rollbewegung von innen nach außen realisiert**. Jeder kennt das Auf-den-Tisch-Trommeln: Es geht besonders einfach von der Hand und richtet sich von Außen nach Innen. Andersherum geht es schwerer. Jedoch weist diese Richtung einen Vorteil bei gewollter Belastung auf: Eine Schraubbewegung der Hand von innen nach oben hinaus kann aus der Tipphaltung mit der Handfläche nach unten anatomisch bedingt besser ausgeführt werden, als andersherum, d.h. der ganze Unterarm kann in der Bewegung nach Außen mitschaffen, während beim Fingertrommeln innerwärts nur die Fingerglieder bewegt werden.

Die häufigsten »[Bigramme](../Beitragen/Wieso/Ebene3.md)« – so nennt man in der Fachsprache zwei aufeinanderfolgende Zeichen – sind im Deutschen 

FIXME: BILD

Die häufigsten »Trigramme« sind

FIXME: BILD

Nach unseren oben genannten Richtlinien verteilten wir die Buchstaben. Ein Beispiel:
  
![Image](images/ch-position.png)
  
![Image](images/ch-position_klein.png)

Das »ch« wird also von der linken und rechten Hand geschrieben. Wir haben es sogar so angeordnet, daß es im gleichen Winkel liegt, und damit leicht zu merken ist.  
Auch beim »sch« erkennt man das Prinzip des Händetauschs.

## Beibehalten der gewohnten Zeichenpositionen im Entscheidungsfall
war uns ein Anliegen, um Ihnen die Erlernbarkeit von Neo so einfach wie möglich zu machen. Und wir sind stolz, drei Tasten präsentieren zu können, die sich in ihrer Lage wirklich nicht verändert haben – aber sehen Sie selbst!

  
![Image](images/mKommaPunkt.png)
  
![Image](images/mKommaPunkt_klein.png)

Da kommen einem die Tränen der Rührung! Jawohl! Das »M«, das »,« und der ».« sind wirklich immernoch auf der gleichen Stelle zu finden (Drücken Sie jetzt um Himmels Willen nicht die Shifttaste, sondern machen wir lieber schnell weiter).

## Das Umlaut-Eck
![Image](images/üöä.png)
  
![Image](images/üöä_klein.png)

liegt wie das »-Eck« schon sagt links unten im Eck. Fast. Wir müssen uns an dieser Stelle entschuldigen, da Knorps' Lieblingsplatz (siehe Bild) »etwas ganz Besonderes werden sollte«, sagte er. Nunja. Nachdem er im Sitzstreik verharrte, blieb uns leider nichts anderes übrig, als ihm den Gefallen zu tun. Deshalb: Knorps' Lieblingsplatz direkt neben dem linken Shift bleibt frei, aber dann kommt das »Ü«, »Ö« und »Ä« (Die Reihenfolge lässt sich darüber merken, daß man das »Ü« in das »Ö« schleifen kann, ohne über das »Ä« zu müssen. Andersrum geht es nicht)!

## Eine Straße braucht der Staat
  
![Image](images/fghjk.png)
  
![Image](images/fghjk_klein.png)

…und diese befindet sich oben rechts. Am Besten findet man sie ausgehend von der schon bekannten Position des »H«. Achtung: Links befindet sich ein Schlagloch aus zwei Buchstaben (Deswegen hat es das »J« ganz nach unten rechts geschlagen – Das »I« ist ja schon im Vokalviertel). Ansonsten ist die Straße aber von »F« bis »K« begehbar.

## Optimierungen durch Erproben und Verändern
ermöglichte uns die Tastaturbelegung weiter zu optimieren. Für Sie bedeutet das aber: Auswendiglernen der restlichen paar Tasten – aber mit Blick auf das Erlangen einer tollen Tastaturbelegung, ist das wohl ein kleines Übel.

  
![Image](images/tastentierchen_kreuzsprung.png)
  

![Image](images/restliche-Tasten-Ebene1_klein.png)
Also noch ganz fix eingeprägt:

  * Nicht XML oben links, sondern XVL.
  * Nicht WWW oben mitte, sondern nur ein W.
  * Oben rechts das Zeug, das man eh nicht braucht: Am ehesten noch das »Q«, dann das »ß« in einer scharfen Kurve mündend in dem »Y«.
  * Und unten, der klägliche Rest: PZB

## Ein kleiner Fahrplan
  
![Image](images/Ebene1_Mnemoübersicht.png)
  

bietet noch einmal eine Übersicht über alle wichtigen Orte. Jetzt verfügen Sie über das Wissen der kompletten Tastaturbelegung von Neo! Probieren Sie es aus! Wo war noch einmal das »F«? Wo verbirgt sich das Schlagloch »J«? XML war ja nicht ganz korrekt. Wie lautet der mittlere Buchstabe, der statt dem »M« zwischen dem »X« und dem »L« steht?

Wenn Sie diese Fragen mühelos beantworten können, geht es hier weiter zum nächsten Teil:  
[FIXME Es shift – Interludium bei Regen](FIXME)  
[FIXME Verdammt, wo ist das Fragezeichen? ](FIXME)
