# Tipptests

Wer nicht nur beim [Chatten](../Beitragen/Community.md#neo-chat), Schreiben von E-Mails und [Tipptrainern](Tipptrainer.md) seine Tastschreibfähigkeiten verbessern will, kann auch im Internet mit einigen kreativen 10-Finger-Tastaturspielen üben und dabei häufig seine Geschwindigkeit messen. Vorteil: Man denkt während des Spielens nicht mehr daran, dass man eine neue Tastaturbelegung lernt, wodurch das Lernen viel schneller geht. Nachteilig ist dagegen die geringere Praxisorientierung, da die Verbesserung beim Schreiben von ständig benötigten Wörtern und Sonderzeichen durch keinen Lehrplan ersetzt werden kann.

Hier gibt es eine Liste von Spielen, die mehr oder weniger gut für das Üben von Neo und anderen Layouts geeignet sind.

## Tippspiele und Geschwindigkeitstests

  - [10fastfingers](https://10fastfingers.com/typing-test/german) – die häufigsten 200 oder 1000 deutschen Wörter in einer Minute, der wahrscheinlich bekannteste Test. Bietet auch Wettbewerbe gegen andere Nutzer.
  - [Monkeytype](https://monkeytype.com/) – ähnlich zu 10fastfingers, aber mit verschiedenen Modi, z.B. Tippdauer, Anzahl Wörter, freies Tippen usw. Das Aussehen und Verhalten kann sehr detailliert eingestellt werden.
  - [intersteno.org](https://org.intersteno.it/page.php?id_primario=47&id_secondario=170&language_text=tedesco) – Ein- und Zehnminuten-Sachtexte mit anschließender Fehleranalyse und Anzeige der Fehlerquote
  - [TypeRacer](https://play.typeracer.com) – online Romanauszüge in Echtzeit gegen andere Spieler tippen (Englisch)
  - [Ztype](https://zty.pe/) – Arcade-Weltraum-Shooter, bei dem herannahenden Raumschiffen Worte zugeordnet sind.  
Tippen der Wörter schießt ein Raumschiff ab. Die Wörter sind auf Englisch, oder man klickt auf „load your own text“ und trägt in die Textbox die häufigsten 1000 Wörter ein, beispielsweise [von hier](https://wortschatz.uni-leipzig.de/de/download/German#deu_news_2020) (Datei _1K_ herunterladen und entpacken).
  - [Keyspeedapplet](https://www.eigenheimstrasse.de/~ben/keyspeedapplet/) – Anwendung, die im Hintergrund die aktuelle Tippgeschwindigkeit anzeigt und Rekorde speichert
  - [Typespeed](http://typespeed.sourceforge.net/) – ein curses-basiertes Tippspiel für die Console, bei dem Wörter mit steigender Geschwindigkeit über den Bildschirm fliegen. Es bietet meherere Wortlisten (Sprachen, Programmiersprachen, UNIX-Befehle), ist verfügbar für verschiedene Betriebssysteme und lässt sich über Netzwerk spielen.
