# Microsoft Office

_In Programmen von Microsoft Office (Word, Excel, usw.) funktionieren mit dem nativen Treiber (kbdneo) Tastenkürzel wie ++strg+z++ und ++strg+v++ nicht mehr. Wieso?_

Das ist ein Fehler bei MS Office seit 2007 in allen Programmen und allen Versionen. Viele (alle?) Tastenkürzel mit ++Strg++ werden hier nicht wie gewohnt ausgelöst, sondern es sind intern belegte Tastenkürzel von MS Office und können umbelegt werden. Beim Start mit einem Neo-basierten Layout verschluckt es sich leider an ein paar Tastenkombinationen.

Der Bug kann auf zwei Weisen behoben werden:

## Variante 1

!!! failure "Hinweis"
    Diese Variante funktioniert anscheinend für Word, aber nicht für Excel. Andere Programme von MS Office sind noch nicht getestet.

Für »Rückgängig« (++Strg+Z++):

  * Schaltflächen Office → Word-Optionen → Anpassen → Tastenkombinationen: Anpassen… → Kategorie „alle Befehle“ und Befehl „BearbeitenRückgängig“ auswählen. Es sollten nun die bisherigen Tastenfolgen »Strg+Z« und »Alt+Rück« angezeigt werden.
  * Nun „Aktuelle Tasten:“ »Strg+Z« markieren und mit dem Knopf Entfernen löschen.
  * Bei „Neue Tastenkombination“ »Strg+Z« eingeben → mit Zuordnen bestätigen. 
  
Nun sollte die Tastenfolge ++Strg+Z++ wieder bei aktuelle Tasten angezeigt werden und wie gewünscht funktionieren.

Der Befehl für »Einfügen« (++Strg+V++) heißt „BearbeitenEinfügen“, ansonsten wie oben vorgehen. Sollten noch andere Tastenkürzel nicht funktionieren, dann sollte sich das auf die gleiche Art und Weise beheben lassen. 

## Variante 2

__Vor__ dem Starten eines Office-Programms ist das Standard-Tastaturlayout auf das normale Qwertz umzuschalten, damit Office mit Qwertz startet (genau darauf kommt es an). Dies kann beim aktuellen Windows 10 über Win+Leertaste erfolgen; oder alternativ ++Win+R++ drücken, `control input.dll` ausführen und dort Qwertz als Standard einstellen.  
Sollte nur Neo/Bone/NeoQwertz in der Layoutliste eingetragen sein, muss man zuvor das normale Qwertz hinzufügen.

Sobald das Office-Programm (z.B. Excel) mit aktivem Qwertz gestartet ist, kann man das Layout im laufenden Programm wieder auf Neo/Bone/usw. zurückstellen. (Hat man das Standardlayout über `control input.dll` geändert, kann man dies nun wieder rückgängig machen.) Die Tastenkürzel werden wie erwartet funktionieren, auch für neue Dokumentfenster, solange wie man das Programm insgesamt nicht beendet.
