# Werbung und Vermarktung von Neo

!!! warning "Unaufgeräumt / Unnötig?"
    Ist diese Seite überhaupt sinnvoll zur Dokumentation? Inhaltlich besteht sie aus Diskussionsvorschlägen und veralteten oder obsoleten Aktionen.

Hier werden Ideen und Vorschläge gesammelt, durch die Neo bekannter gemacht werden könnte.

Ein paar gute Vorschläge kamen gerade vom **westdeutschen Schüler-Meister** für Computerschreiben, Textverarbeitung und Stenografie, der seit Ende 2008 mit der Neo-Belegung schreibt. Seine Mail ist hier zu finden: <http://lists.neo-layout.org/pipermail/diskussion/2009-April/012151.html>. Sollte vielleicht hier eingearbeitet werden.

## Banner für Webseiten
Wir sollten uns über jeden Link freuen, der auf [neo-layout.org](https://neo-layout.org) verweist. Deshalb sollten wir für diesen Zweck grafisch ansprechende und frei zu verwendende Banner und Logos erstellen. Exemplarisch sei hier etwa auf die Banner der [deutschen Wikipedia](https://de.wikipedia.org/wiki/Wikipedia:Banner_und_Logos) und des [Arbeitskreises Vorratsdatenspeicherung](http://wiki.vorratsdatenspeicherung.de/Banner) verwiesen. Auch wäre es zu erwägen, ein [Pagepeel/Eselsohr](https://de.wikipedia.org/wiki/Pagepeel) für Neo zu erstellen (Beipiel des [AK Vorrat.](http://wiki.vorratsdatenspeicherung.de/Online-Demo)).

Siehe dazu die schon vorhandenen sehr guten Grafiken:

  * [Promotion-Material](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik/promotion-material/)
  * [Maskottchen](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik/maskottchen/) (Tastentierchen)
  * [Deckblatt für Handbuch](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik/ideen/deckblatt_fuer_handbuch/)

## Weitere Vorschläge

 * Veröffentlichen von eigenen Erfahrungsberichten im eigenen Blog und mithilfe anderer Medien
 * Insbesondere mehr [Presseberichte](Presseberichte.md) anregen bzw. einreichen
 * Wikipedia-Autoren können auf ihrer Benutzerseite diesen [Neo-Babelbaustein](https://de.wikipedia.org/wiki/Benutzer:Robert.will/Vorlage/Neo) einfügen (oder [dieſe Variante](https://de.wikipedia.org/wiki/Benutzer:Frakturfreak/Vorlage/Neo)), wenn eine geschlechtsspezifische Unterscheidung erwünscht ist, kann auch [diese Variante](https://de.wikipedia.org/wiki/Benutzer:Imde/Vorlage:Neo) benutzt werden. Update Die letzte Variante gibt es auch [mit Belegungsgrafik](https://de.wikipedia.org/wiki/Benutzer:Imde/Vorlage:NeoGrafik) (Ebene 1). 
 * [Herantragen der Problematik an Informatiklehrer o. ä. möglichst niederer Klassenstufen](https://lists.neo-layout.org/pipermail/mailinglist/2009-March/007086.html)
 * Ansprechen und Kontaktieren der Politiker im Wahlkreis
 * Abschauen der Werbe-Aktionen für Mozilla Firefox
 * Auf allen großen „Social Blog“-Seiten, wie Slashdot, Boingboing, Reddit, und vor allem deutschen Seiten wie Heise und Golem, einen Artikel haben.
 * Bericht in den TV-Nachrichten, über Bekannte die dort Redakteure oder Autoren sind/kennen.


## Pflege des Wikipedia-Artikels
Die Instandhaltung des [Wikipedia-Artikels über Neo](https://de.wikipedia.org/wiki/Neo-Tastaturbelegung) ist auch nicht zu vernachlässigen, da er für viele den Einstieg in das Projekt bildete. Jedoch sind dabei stets die [Grundprinzipien der Wikipedia](https://de.wikipedia.org/wiki/Wikipedia:Grundprinzipien) (hier insbesondere der [neutrale Standpunkt](https://de.wikipedia.org/wiki/Wikipedia:Neutraler_Standpunkt)) zu beachten.