
# Tastaturmaus

Die Tastaturmaus wird über die Tastenkombination ++Shift+Mod4+T1++ (Pseudoebene) ein- und ebenso wieder ausgeschaltet. ++T1++ liegt über der Tabtaste.   

Am besten geeignet ist dazu die Ebene 4 des Keypads (z.B. mit Mod4-Lock).
Verzichtet man auf Markierungen, ist auch Ebene 1 des Keypads geeignet. 
Des Weiteren kann man die Zahlen auf Ebene 4 des Haupttastaturfelds benutzen, jedoch ist die  Bedienung dort weniger komfortabel. 

## Bedienung
Unter Linux mit sind die Tasten ++num-asterisk++ und ++num-minus++ also rechte Maustaste und beide Tasten (=mittlere Maustaste) vertauscht.

| Aktion                                         | Taste(n)                               |
| :---                                           | ---                                    |
| Mauszeiger horizontal bewegen:                 | ++num4++, ++num6++                     |
| Mauszeiger vertikal bewegen:                   | ++num2++, ++num8++                     |
| Mauszeiger diagonal bewegen:                   | ++num1++, ++num3++, ++num7++, ++num9++ |
| Linke Maustaste als Standardtaste festlegen:   | ++num-slash++ (Dividieren)             |
| Rechte Maustaste als Standardtaste festlegen:  | ++num-asterisk++ (Multiplizieren)      |
| Beide Maustasten als Standardtasten festlegen: | ++num-minus++                          |
| Mit der Standardtaste klicken:                 | ++num5++                               |
| Mit der Standardtaste doppelt klicken:         | ++num-plus++                           |
| Standardtaste gedrückt halten:                 | ++num0++                               |
| Standardtaste loslassen:                       | ++num-separator++                      |

Je nach Einstellungen lässt sich z.B. mit der ++Strg++-Taste die Mausbewegung verlangsamen und mit der Umschalttaste beschleunigen.

## Vor- und Nachteile, Diskussionen

??? warning "Diskussionsinhalte, ggf. löschen?"
    * P: Mit der Tastaturmaus kann man den Mauszeiger über die Tastatur steuern. Dies kann sinnvoll sein, falls die Maus oder das Touchpad streikt oder keine solches Medium vorhanden ist.
    * P: Bei gewissen körperlichen Einschränkungen kann die Tastaturmaus ein notwendiger Ersatz für eine Maus sein.  Nicht zuletzt deswegen stellen viele heutige Betriebssysteme/Windowmanager eine Tastaturmaus bereits standardmäßig zur Verfügung.
    * P: Tastaturmaus ist ergonomischer als die rechte Hand zwischen Tastatur und Maus hin- und herzubewegen
    * K: Tastaturmaus kann nicht wirklich ergonomisch sein:
        * Die Funktionen einer Maus, die sich noch halbwegs komfortabel mit einer Tastatur abbilden lassen, sind der Klick auf graphische Elemente wie Menüpunkte, Schaltflächen usw.  Dafür stellen Betriebssysteme bereits Tastatursteuerung zur Verfügung (etwa Alt + unterstrichener Buchstabe für die Auswahl eines Menüpunktes, TAB für den Sprung zum nächsten Bedienelement, RETURN für Verlassen des Dialogs über den Default-Button).
        * Die weiteren Funktionen einer Maus bestehen darin, mehr oder weniger komplizierte Kurven nachzufahren, was kaum je mit einer Tastatur sinnvoll abzubilden ist.  Ggf. sind während dieser Bewegung auch noch Mausknöpfe dauerhaft niederzuhalten, was die Funktionalität eines herkömmlichen Tastaturtreibers überfordert.

## Technisches

Die Tastaturmaus ist eine Funktion, die es sowohl unter Linux als auch unter Windows gibt und bereits von den Systemen angeboten werden. 
Da Neo die Funktionalität einer Qwertz-Tastatur erhalten möchte, ist diese Funktion also auch mit Neo erreichbar.

### Linux

Unter Linux wird dieser Modus mit dem keysym „Pointer_EnableKeys“ aufgerufen.
Unter Qwertz normalerweise mit der Kombination ++shift+num++.

Einstellungen für **KDE**: KDE Kontrollzentrum → Angeschlossene Geräte → Maus → Maus Navigation → [x] Tastaturmaus aktivieren. Aktivierung erfolgt beim Qwertz-Layout normalerweise mit ++shift+strg+num++

Alternativ mit `xkbset`: damit kann man die Tastaturmaus ein- und ausschalten und noch andere Sachen machen. Falls das Programm nicht direkt funktioniert (evtl. Bug im Xserver?), vorher `setxkbmap` aufrufen – dann geht’s.

### Windows

Unter Qwertz erfolgt die Aktivierung normalerweise mit ++alt+shift+num++.

Weitere Einstellungen zur Tastaturmaus erfolgen über die Systemsteuerung, entweder unter „Center für erleichterte Bedienung“ → „Maustasten einrichten“ (Windows 7), oder unter „Erleichterte Bedienung“ → „Interaktion“ → „Maus“ (Windows 10). Dort können unter anderem die Zeigergeschwindigkeit und -beschleunigung geändert werden.
