# Tipps und Tricks zum Kinesis Advantage Keyboard mit Neo

Das Standardlayout der Tastatur unter Ubuntu (neo2):
```
┌───┬───┬───┬───┬───┬───┐ ┌───┬───┬───┬───┬───┬───┐
│t2`│ 1 │ 2 │ 3 │ 4 │ 5 │ │ 6 │ 7 │ 8 │ 9 │ 0 │ - │
├───┼───┼───┼───┼───┼───┤ ├───┼───┼───┼───┼───┼───┤
│tab│ x │ v │ l │ c │ w │ │ k │ h │ g │ f │ q │m3 │
├───┼───┼───┼───┼───┼───┤ ├───┼───┼───┼───┼───┼───┤
│m3 │ u │ i │ a │ e │ o │ │ s │ n │ r │ t │ d │ y │
├───┼───┼───┼───┼───┼───┤ ├───┼───┼───┼───┼───┼───┤
│sh │ ü │ ö │ ä │ p │ z │ │ b │ m │ , │ . │ j │sh │
└───┼───┼───┼───┼───┼───┘ └───┼───┼───┼───┼───┼───┘
    │t1^│m4 │<- │ ->│         │up │do │ ß │t3´│
    └───┴───┴───┴───┘         └───┴───┴───┴───┘
                ┌───┬───┐ ┌───┬───┐
                │str│alt│ │agr│str│
            ┌───┼───┼───┤ ├───┼───┼───┐
            │   │   │pos│ │up │   │   │
            │bsp│del├───┤ ├───┤ent│spa│
            │   │   │end│ │dow│   │   │
            └───┴───┴───┘ └───┴───┴───┘
```


## Vorschlag von Andreas

```
┌───┬───┬───┬───┬───┬───┐ ┌───┬───┬───┬───┬───┬───┐
│t1^│ 1 │ 2 │ 3 │ 4 │ 5 │ │ 6 │ 7 │ 8 │ 9 │ 0 │t2`│
├───┼───┼───┼───┼───┼───┤ ├───┼───┼───┼───┼───┼───┤
│tab│ x │ v │ l │ c │ w │ │ k │ h │ g │ f │ q │t3´│
├───┼───┼───┼───┼───┼───┤ ├───┼───┼───┼───┼───┼───┤
│ ß │ u │ i │ a │ e │ o │ │ s │ n │ r │ t │ d │ y │
├───┼───┼───┼───┼───┼───┤ ├───┼───┼───┼───┼───┼───┤
│alt│ ü │ ö │ ä │ p │ z │ │ b │ m │ , │ . │ j │alt│
└───┼───┼───┼───┼───┼───┘ └───┼───┼───┼───┼───┼───┘
    │bsp│del│ <-│-> │         │up │dow│pgu│pgd│
    └───┴───┴───┴───┘         └───┴───┴───┴───┘
                ┌───┬───┐ ┌───┬───┐
                │str│fen│ │men│str│
            ┌───┼───┼───┤ ├───┼───┼───┐
            │   │   │m3 │ │m3 │   │   │
            │shi│ent├───┤ ├───┤spa│shi│
            │   │   │m4 │ │m4 │   │   │
            └───┴───┴───┘ └───┴───┴───┘
```

Die Umprogrammierung der Tasten wurde mit der Remappingfunktion der Tastatur vorgenommen.
