# Der Name »Neo«
Die offizielle Schreibweise unseres Projektes lautet »Neo«. Es handelt sich dabei um ein [rekursives Akronym](http://de.wikipedia.org/wiki/Rekursives_Akronym), das für »Neo ergonomisch optimiert« steht. Alternative Bezeichnungen sind Neo-Layout, Neo-Tastatur oder Neo-Belegung.

Ursprünglich wurde von Hanno Behrens die Schreibweise »NEO« verwendet. Dies wurde jedoch in »Neo« geändert, da sich diese Variante harmonischer ins Schriftbild einfügt. Die Schreibweise »neo« wurde hingegen nie offiziell verwendet.

Jedoch herrscht kein Konsens darüber, wie bei »Neo« mit nachgestellten Ziffern (»Neo 2«) umzugehen ist. Vorgeschlagen wurden:

 * **Neo2**: kein Leerzeichen,
 * **Neo 2**: das ›normale‹ Leerzeichen,
 * **Neo 2**: das geschützte Leerzeichen,
 * **Neo 2**: das schmale geschützte Leerzeichen.

Mit dem Referenz-Freeze wurde entschieden, dem jeweiligen Autor diese Entscheidung zu überlassen.

Zeichen zu verwenden, die nicht mit Qwertz getippt werden können – wie etwa Neo…2, Neo⋮2 oder Neo² –, ist zu Demonstrationszwecken möglich, sollte jedoch nicht der Standard sein.

Das schmale geschützte Leerzeichen ist typografisch gesehen die beste Variante, aber leider nicht immer verfügbar und müsste deshalb in der Praxis häufiger durch eine der anderen Möglichkeiten ersetzt werden; diese Entscheidung könnte allerdings kontextabhängig unterschiedlich ausfallen.

Kein Leerzeichen betont, dass es sich bei Neo2 um keine Version, sondern eine eigene Entwicklung handelt, die nicht schon in ein paar Monaten durch die nächste Version ersetzt wird.

Siehe dazu auch die [Diskussion auf der Mailingliste](http://lists.neo-layout.org/pipermail/diskussion/2009-May/012406.html).