# Bone

Bone ist die fortschrittlichste auf dieser Webseite vorgestellte Variation des [klassischen Neo-Layouts](neo.md), in der die Buchstaben noch ergonomischer angeordnet wurden.
Bone wurde von „effchen“ und „danros“ im IRC mit Hilfe von Arnes [Layout-Optimierer](https://hg.sr.ht/~arnebab/evolve-keyboard-layout) in einer Version von 2014 entwickelt.
Über die genauen Gewichtungen und Parameter bei der Entwicklung von Bone ist wenig verblieben.
Die Optimierungskriterien von Bone unterscheiden sich in denen von [AdNW](http://www.adnw.de) vor allem durch eine stärkere Ungleichbelastung der einzelnen Finger: Bone belastet die kleinen Finger weniger, insbesondere wurde versucht, nicht-vermeidbare Kollisionen unbedingt auf die Zeigefinger zu legen,
während bei AdNW die einzelnen Finger deutlich gleichmäßiger belastet werden. Ferner findet eine stärkere Fokussierung auf die oberen beiden Reihen statt und die untere Reihe soll nur selten verwendent werden.
Bone wurde für die Deutsche Sprache optimiert, eignet sich aber durchaus auch für Englisch.
Ein [Interview](Bone-Entwicklung_Interview.txt) mit effchen von 2016 liefert noch mehr Aufschluss über die Beweggründe und Optimierungsziele.


Es gab auch eine Variante von Bone mit vertauschten Positionen von 'q' und 'ß'.
Diese hatte jedoch keine Vorteile und war für Englisch erheblich schlechter, weshalb sie sich nicht durchgesetzt hat.

Die Ebenen 3 und 4 sind genauso wie bei Neo, die Ebenen 5 und 6 sind an die Ebene 1 angepasst (also etwa „δ“ über dem „D“).

Der [Download und die Installation](../Download/index.md) erfolgt in der Regel genauso wie die für das klassische Neo-Layout.
Auf dem Linux-Desktop wird Bone jedoch als „eher exotisches“ Tastaturlayout geführt, weshalb manche Desktops das Layout nicht direkt anzeigen.
Genaue Installationsanleitungen befinden sich im [Benutzerhandbuch](../Einrichtung/index.md).

## Die einzelnen Ebenen im Überblick

=== "Ebene 1"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/bone-1-numpad.path.svg)

=== "Ebene 2"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/bone-2-numpad.path.svg)

=== "Ebene 3"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/bone-3-numpad.path.svg)

=== "Ebene 4"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/bone-4-numpad.path.svg)

=== "Ebene 5"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/bone-5-numpad.path.svg)

=== "Ebene 6"
	![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/bone-6-numpad.path.svg)

