# Umsteiger

Als Layout-Umsteiger tippt man einzelne Buchstaben oder auch Kombinationen mit Modifiern wie ++Strg++ oder ++Win++ aus Gewohnheit noch mit dem alten (Qwertz-)Layout. Dadurch können teilweise ganz ungewollte Aktionen entstehen. Die folgende Übersicht listet häufige Fallen durch Buchstaben-Verwechselungen auf, getrennt nach altem/neuen Layout.

## Von Qwertz zu Neo
### ++j++ / ++n++ – Wollen Sie Ihre Änderungen speichern?
… schnell auf (Qwertz-)++j++ geklopft, es waren schließlich wichtige Änderungen, also klar, natürlich, was sonst, auf die Platte damit. Doch Reflexe sind nichts für den geneigten Qwertz-zu-Neo-Umsteiger, zu oft öffnet man die falsche Türe.

Zack – weg waren die Änderungen.

Nettes Szenario. Gottseidank waren die Änderungen leicht erneut zu machen, aber im ersten Moment rann es mir kalt den Rücken runter. Was, wenn es mal wirklich um ’was Wichtiges geht? Werden mir dann meine Finger (schon) gehorchen?

### ++t++ / ++w++ – Neuer Reiter?
Wenn ich als Neu-Neo im Firefox einen
neuen Reiter (Tab) öffnen will und aus alter Gewohnheit mit (Qwertz-) ++Strg+t++
unter Neo eben ++Strg+w++ sende und den einzigen Tab und damit Firefox schließe.
Grad dumm, weil ich den neuen Tab öffnen wollte, um die alte Seite
später zu Ende zu lesen.
Zum Glück bieten die aktuellen Browser die Möglichkeit über ++Strg+Shift+t++ den zuletzt geschlossenen Reiter wiederherzustellen.

### ++l++ / ++t++ – Wechsel in die Adresszeile öffnet gleich neuen Reiter?
Mit Qwertz-++Strg+l++ will man nur in die Adresszeile wechseln, um eine neue Seite im Netz anzusteuern. Jedoch sitzt hier das Neo-++t++, also sendet man ++Strg+t++ und öffnet damit einen neuen Reiter, was aber auch den Cursor in die Adresszeile setzt. Praktisch. ;-)

### ++v++ / ++p++ – Drucken statt einfügen
Mit Qwertz-++Strg+v++ wird eingefügt - bei NEO ist es das ++P++, welches einen Druckvorgang auslösen will. Zum Glück nur mäßig nervig bei ohnehin ausgeschaltetem Drucker …

### ++e++ / ++l++ – Abmelden statt Explorer
++Win+e++ öffnet den Explorer – außer man drückt aus alter Qwertz-Gewohnheit jetzt ++Win+l++, was einen prompt abmeldet …

### ++p++ / ++q++ – Beenden statt Einfügen/vorherige Nachricht
Bei einigen Konsole-Programmen wird das ++p++ für *paste*, also einfügen, oder *previous* (vorherige Nachricht) verwendet. Statt einem Qwertz-++p++ drückt man aber ein Neo-++q++, was normalerweise *quit* (verlassen) bedeutet. Sehr nervig, hilft aber dabei diese Taste umso schneller zu lernen.

## Als Neo-Nutzer an der Qwertz-Tastatur
### ++w++ / ++v++ – Fenster schließen?
Eigentliche wollte ich am PC eines Freundes, der kein Neo nutzt, etwas aus der Zwischenablage einfügen. Also ++Strg+v++ gedrückt. Aber das Neo-++v++ liegt ja auf dem Qwertz-++w++ und ++Strg+w++ bedeutet wohl Fenster schließen.

### ++x++ / ++q++ – Programm beenden?
Eigentliche wollte ich am PC eines Freundes, der kein Neo nutzt, etwas ausschneiden (in die Zwischenablage). Also ++Strg+x++ gedrückt. Aber das Neo-++x++ liegt ja auf dem Qwertz-++q++ und ++Strg+q++ bedeutet wohl Programm beenden.


## Von Qwertz zu Bone

!!! missing "Fehlt"
    Dieser Abschnitt hat noch keinen Inhalt. Hilf mit ihn zu vervollständigen und entferne anschließend diese Markierung.
