#!/bin/sh
if test -a /etc/X11/xkb/rules/xorg.lst.org; then 
	echo "xorg.lst.org existiert bereits... kein weiterer Backup..."
else 
	echo "backup von /etc/X11/xkb/rules/xorg.lst --> xorg.lst.org"
	cp /etc/X11/xkb/rules/xorg.lst /etc/X11/xkb/rules/xorg.lst.org
fi;
echo "Kopiere xorg.lst nach /etc/X11/xkb/rules/"
cp xorg.lst /etc/X11/xkb/rules/xorg.lst
echo "Kopiere Tastaturlayouts nach /etc/X11/xkb/symbols/pc/"
cp de_{ergo,neo} /etc/X11/xkb/symbols/pc/
echo "Keymaps installiert." 
echo "Deutsch (NEO) und Deutsch (ergonomisch) sind über das Kontrollzentrum von KDE, Regionaleinstellungen, Tastaturlayout nun wählbar."
if test -a /opt/kde3/share/apps/ktouch; then
	echo "Installiere Tastatur- und Standard-Lerndatei für KTouch nach /opt/kde3/share/apps/ktouch/"
	cp *.{keyboard,ktouch} /opt/kde3/share/apps/ktouch/
else
	echo "Kann ktouch-Verzeichnis nicht finden. Bitte das kdeedu-Paket mit ktouch installieren oder die Dateien de_neo.keyboard und german_neo.ktouch von Hand in das entsprechende Verzeichnis kopieren, sollte das Paket installiert sein, aber die Pfade nicht übereinstimmen."
fi
echo "Fertig."